> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/aig/datastructure.md).

# 数据结构

## AiGatewayInfo

描述AI网关实例的信息。包括过期策略，状态，模型限制等。

被如下接口引用：DescribeAiGateways

| 参数名称            | 类型                          | 描述            |
| --------------- | --------------------------- | ------------- |
| gatewayUuid     | String                      | AI网关唯一ID。     |
| gatewayName     | String                      | AI网关显示名称。     |
| enabled         | Boolean                     | 是否启用。         |
| createdAt       | String                      | 创建时间。         |
| updatedAt       | String                      | 更新时间。         |
| resourceGroupId | String                      | AI网关所属的资源组ID。 |
| accessLimit     | Integer                     | 配额。           |
| expireType      | [ExpireType](#expiretype)   | 过期时间类型。       |
| expireTime      | String                      | 过期时间。         |
| modelAccess     | [ModelAccess](#modelaccess) | 模型访问限制。       |
| tags            | [Tags](#tags)               | AI网关关联的标签。    |

## AiGatewayModel

描述AI网关关联模型的信息。包模型uuid和模型名称。

被如下接口引用：DescribeAiGatewayModels

| 参数名称      | 类型     | 描述      |
| --------- | ------ | ------- |
| modelUuid | String | 模型uuid。 |
| modelName | String | 模型名称。   |

## AiModel

描述AI网关模型的信息。包模型uuid、模型名称、模型类型等。

被如下接口引用：DescribeAiModels

| 参数名称         | 类型     | 描述      |
| ------------ | ------ | ------- |
| modelUuid    | String | 模型uuid。 |
| modelName    | String | 模型名称。   |
| modelType    | String | 模型类型。   |
| providerName | String | 厂商名称。   |

## DailyMetricItem

日用量条目。

被如下接口引用：DescribeAiModelDailyUsage

| 参数名称         | 类型                                           | 描述                |
| ------------ | -------------------------------------------- | ----------------- |
| date         | String                                       | 日期，格式：yyyy-MM-dd。 |
| model\_usage | Array of [ModelDailyUsage](#modeldailyusage) | 各模型用量列表。          |

## ExpireType

描述AI网关过期策略

被如下接口引用：DescribeAiGateways, CreateAiGateway, ModifyAiGatewayExpireTime, DescribeAiGatewayExpireTime

| 值           | 值说明     |
| ----------- | ------- |
| LONG\_LIVED | 长期      |
| CUSTOM      | 自定义过期时间 |

## GatewayStatus

描述AI网关的配置状态

被如下接口引用：DescribeAiGateways

| 值           | 值说明  |
| ----------- | ---- |
| CREATING    | 创建中  |
| CONFIGURING | 配置中  |
| SUCCEED     | 配置成功 |
| FAILED      | 配置失败 |

## IpAclType

描述AI网关IP黑白名单的类型

被如下接口引用：ModifyAiGatewayIpAcl, DescribeAiGatewayIpAcl

| 值     | 值说明   |
| ----- | ----- |
| WHITE | IP白名单 |
| BLACK | IP黑名单 |

## ModelAccess

描述AI网关访问模型是否受限

被如下接口引用：DescribeAiGateways, ModifyAiGatewayModels, CreateAiGateway

| 值         | 值说明                |
| --------- | ------------------ |
| UNLIMITED | 不限制模型，可使用当前上架的所有模型 |
| LIMITED   | 受限，只可使用关联的模型       |

## ModelCacheHitSeries

描述模型日缓存命中率信息。

被如下接口引用：DescribeAiModelDailyCacheHitRate

| 参数名称      | 类型              | 描述                    |
| --------- | --------------- | --------------------- |
| modelName | String          | 模型名称。                 |
| data      | Array of String | 模型日缓存命中率列表，格式如 "90%"。 |

## ModelCostSeries

描述模型日费用信息。

被如下接口引用：DescribeAiModelDailyCost

| 参数名称      | 类型             | 描述       |
| --------- | -------------- | -------- |
| modelName | String         | 模型名称。    |
| data      | Array of Float | 模型日费用列表。 |

## ModelDailyUsage

模型日用量。

被如下接口引用：DescribeAiModelDailyUsage

| 参数名称                     | 类型      | 描述                       |
| ------------------------ | ------- | ------------------------ |
| modelName                | String  | 模型名称。                    |
| promptMissedTokens       | Integer | 未命中缓存的输入Token数。          |
| completionTokens         | Integer | 输出Token数。                |
| cachedTokens             | Integer | 命中缓存的Token数。             |
| cacheCreationInputTokens | Integer | 缓存创建Token数（Anthropic模型）。 |
| reasoningTokens          | Integer | 推理Token数。                |

## ModelValueItem

模型用量值项

被如下接口引用：DescribeAiUsageDetailData

| 参数名称  | 类型      | 描述    |
| ----- | ------- | ----- |
| model | String  | 模型名称。 |
| value | Integer | 用量值。  |

## Tag

描述一个标签键值对的信息。

被如下接口引用：DescribeAiGateways, CreateAiGateway

| 参数名称  | 类型     | 必选 | 描述                              |
| ----- | ------ | -- | ------------------------------- |
| key   | String | 是  | <p>标签键。</p><p>长度限制：1～64个字符。</p> |
| value | String | 否  | <p>标签值。</p><p>长度限制：1～64个字符。</p> |

## TagAssociation

描述创建资源时同时绑定的标签对的信息。

被如下接口引用：CreateAiGateway

| 参数名称 | 类型                   | 必选 | 描述     |
| ---- | -------------------- | -- | ------ |
| tags | Array of [Tag](#tag) | 是  | 标签对列表。 |

## Tags

描述资源关联的标签信息。

被如下接口引用：DescribeAiGateways

| 参数名称 | 类型                   | 描述     |
| ---- | -------------------- | ------ |
| tags | Array of [Tag](#tag) | 标签对列表。 |

## UsageData

描述AI网关模型用量信息。

被如下接口引用：DescribeAiUsageData

| 参数名称          | 类型      | 描述                              |
| ------------- | ------- | ------------------------------- |
| modelUuid     | String  | 模型uuid。                         |
| modelName     | String  | 模型名称。                           |
| totalTokens   | Integer | <p>模型总token数。</p><p>默认值：0</p>   |
| totalRequests | Integer | <p>模型总request数。</p><p>默认值：0</p> |

## UsageDataPoint

用量数据点，包含时间戳和各模型的用量值

被如下接口引用：DescribeAiUsageDetailData

| 参数名称 | 类型                                         | 描述         |
| ---- | ------------------------------------------ | ---------- |
| time | Integer                                    | 时间戳（毫秒）。   |
| data | Array of [ModelValueItem](#modelvalueitem) | 各模型的用量值列表。 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/aig/datastructure.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
